/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/applicantstatus.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/applicantstatus.xml',
'<View submitLabel="{message.XXAS_SEND}" title="{message.XXAS_CHANGE_STATUS_T}">
  <EditFields>
    <Hidden id="PERSON_ID"/>
    <Hidden id="VACANCY_ID"/>
    <Hidden id="APPLICANT_LIST"/>
	<Poplist id="APPLICANT_STATUS_ID" label="{message.XXAS_NEW_STATUS}" required="true" visible="true" listProvider="REST:applicants/${field.APPLICANT_LIST}/statuses" triggerName="XXAS_APPL_STATUS_CHANGE" triggerMethod="POST"/>
	<Poplist id="REASON" label="{message.XXAS_EMP_REASON}" visible="true" listProvider="LOOKUP_TYPE:APL_ASSIGN_REASON"/>
    <Combolist id="TO" label="{message.XXAS_NOTIF_TO}" enabled="false" multipleSelection="true" style="tags" hideIf="!model.APPLICANT_STATUS_ID.value"/>
    <TextInput id="SUBJECT" label="{message.XXAS_NOTIF_SUBJECT}" required="true" hideIf="!model.APPLICANT_STATUS_ID.value"/>
    <TextArea id="MESSAGE" label="{message.XXAS_NOTIF_MSG}" required="true" description="{message.XXAS_APPL_STATUS_MSG_DESC}" hideIf="!model.APPLICANT_STATUS_ID.value" richText="true"/>
	<TextInput id="NO_COMMUNICATION" visible="false" enabled="false"/>
  </EditFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/applicantstatus.xml');
END;
/
COMMIT;
EXIT;
